@import "../base/variable.scss";
@import "../base/mixins.scss";

.header-main-section{
    background-color: $primary_color;
    padding: 15px 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 999;
    &.shadow{
        box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px, rgba(17, 17, 26, 0.05) 0px 8px 32px;
    }
    .header_menu_wraper{
        .head_navigation{
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0 60px;
            .left{
                display: flex;
                align-items: center;
                float: left;
                .logo{
                    float: left;
                }
                .navgiation{
                    float: left;
                    padding-left: 20px;
                    a{
                        i{
                            color: $white;
                            font-size: 22px;
                        }
                    }
                }
            }
            .right{
                float: right;
                .search{
                    .seracher{
                        position: relative;
                        .form-control{
                            border: none;
                            padding: 0;
                            padding-left: 20px;
                            border-radius: 10px;
                            padding-right: 45px;
                            width: 381px;
                            height: 50px;
                            color: $white;
                            background-color: rgba($color: $white, $alpha: 0.2);
                            font-family: 'Montserrat', sans-serif;
                            &::placeholder{
                                color: $white;
                                font-family: 'Montserrat', sans-serif;
                            }
                        }
                        .icon_wrap{
                            position: absolute;
                            right: 0;
                            top: 0;
                            padding-top: 15px;
                            padding-right: 20px;
                            a{
                                i{
                                    color: $white;
                                    font-size: 20px;
                                }
                            }
                        }
                    }
                }
            }
            .menu_list{
                position: absolute;
                left: 0;
                top: 86px;
                z-index: 2;
                box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
                @include clearfix();
                ul{
                    li{
                        @include clearfix();
                        position: relative;
                        &:nth-child(4){
                        .sub_menu_other{
                            top: unset;
                            bottom: 0;
                        }
                        }
                        &:last-child{
                            border: none;
                            a{
                                border: none;
                            }
                            .sub_menu_other{
                                top: unset;
                                bottom: 0;
                            }
                        }
                        &:hover{
                            .sub_menu_drop_uniform{
                                display: block;
                            }
                            .sub_menu_other{
                                display: block;
                            }
                            a{
                                background-color: $white;
                                color: $black;
                                @include transition(0.3s ease);
                                .img_box{
                                    img{
                                        filter: invert(100%);
                                        @include transition(0.3s ease);
                                    }
                                }
                            }
                        }
                        .sub_menu_other{
                            position: absolute;
                            left: 100%;
                            top: 0;
                            display: none;
                            box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
                            li{
                                a{
                                    background-color: $drop-menu;
                                    padding: 16px 80px;
                                    color: $offfspra2;
                                    font-weight: 500;
                                    border-bottom: 1px solid $white !important;
                                }
                                &:hover{
                                    a{
                                        color: $black;
                                    }
                                }
                            }
                            // display: none;
                        }
                        &.menu_dropdown{
                          &.active{
                              a{
                              background-color: $white;
                              color: $black;
                              .img_box{
                                  img{
                                     filter: invert(100%);
                                  }
                              }
                            }
                        }
                        &:hover{
                            .sub_menu_drop_uniform{
                                display: block;
                            }
                        }
                           .sub_menu_drop_uniform{
                            position: absolute;
                            left: 100%;
                            top: 0;
                            display: none;
                            box-shadow: rgba(17, 17, 26, 0.1) 0px 0px 16px;
                            @include transition(0.3s ease);
                               li{
                                @include clearfix();
                                border: none;
                                   a{
                                    background-color: $drop-menu;
                                    color: $offfspra2;
                                    font-weight: 500;
                                    padding: 16px 40px;
                                    padding-left: 40px;
                                    justify-content: space-between;
                                    
                                    i{
                                        float: right;
                                        padding-left: 100px;
                                    }
                                   }
                                   .sub_menu{
                                       display: none;
                                       box-shadow: inset rgba(0, 0, 0, 0.08) 0px 4px 12px;
                                       background-color: $white;
                                       padding: 10px;
                                       
                                       li{
                                           text-align: center;
                                           border: none;
                                           &:last-child{
                                               a{
                                                   border: none;
                                               }
                                           }
                                           &:hover{
                                            @include transition(0.3s ease);
                                               a{
                                                   color: $black;
                                                   @include transition(0.3s ease);
                                               }
                                           }
                                           a{
                                               display: block;
                                               background-color: transparent;
                                                border-bottom: 1px solid $drop-menu;
                                                color: $offfspra2;
                                                @include transition(0.3s ease);
                                           }
                                       }
                                   }
                               }
                           }
                           
                        }
                        a{
                            color: $white;
                            display: flex;
                            align-items: center;
                            padding: 30px 50px;
                            background-color: $primary_color;
                            border-bottom: 1px solid $white;
                            @include transition(0.3s ease);
                            .img_box{
                                float: left;
                                width: 90px;
                            }
                            .dress_name{
                                width: calc(100% - 90px);
                                float: left;
                                padding-left: 10px;
                                text-align: start !important;
                            }
                        }
                    }
                }
            }
        }
    }
}


/* Extra Huge large desktops */
@media (min-width: 1920px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px){
    
}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px){
    
}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px){
    
}

/* Landscape tablets and medium desktops */
@media (min-width: 1200px) and (max-width: 1399px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                padding: 0 20px;
                .menu_list{
                    ul{
                        li{
                            a{
                                padding: 18px 50px;
                            }
                        }
                    }
                }
            }
        }
    }
}
/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                padding: 0 20px;
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                padding: 0 20px;
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .header-main-section{
        .header_menu_wraper{
            .head_navigation{
                padding: 0 0px;
                .menu_list{
                    width: 100%;
                    height: 100vh;
                    overflow: auto;
                    background-color: $primary_color;
                    @include clearfix(); 
                    ul{
                        height: 305px;
                        overflow: auto;
                        li{
                            &:last-child{
                                border: none;
                            }
                            &.menu_dropdown{
                                .sub_menu_drop_uniform{
                                    position: unset;
                                    height: unset;
                                    .sub_menu_item{
                                        .sub_menu{
                                            height: unset;
                                        }
                                    }
                                }
                                a{
                                    padding: 14px;
                                }
                            }
                            .sub_menu_other{
                                position: unset;
                                height: unset;
                            }
                            a{
                                padding: 14px;
                            }
                        }
                    }
                }
                .right{
                    .search{
                        .seracher{
                            .form-control{
                                width: 280px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
	.header-main-section{
        padding: 10px 0;
        .header_menu_wraper{
            .head_navigation{
                padding: 0 0px;
                .menu_list{
                    width: 100%;
                    height: 100vh;
                    overflow: hidden;
                    background-color: $primary_color;
                    top: 60px;
                    ul{
                        height: 580px;
                        overflow: auto;
                        li{
                            &:last-child{
                                border: none;
                            }
                            &.menu_dropdown{
                                .sub_menu_drop_uniform{
                                    position: unset;
                                    height: unset;
                                    .sub_menu_item{
                                        .sub_menu{
                                            height: unset;
                                        }
                                    }
                                }
                                a{
                                    padding: 14px;
                                }
                            }
                            .sub_menu_other{
                                position: unset;
                                height: unset;
                            }
                            a{
                                padding: 14px;
                            }
                        }
                    }
                }
                .left{
                    .img_logo{
                        a{
                            img{
                                width: 36px;
                            }
                        }
                    }
                }
                .right{
                    .search{
                        .seracher{
                            .form-control{
                                width: 200px;
                                height: 40px;
                            }
                            .icon_wrap{
                                padding-top: 11px;
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
	.header-main-section{
        padding: 10px 0;
        .header_menu_wraper{
            .head_navigation{
                padding: 0 0px;
                .menu_list{
                    width: 100%;
                    height: 100vh;
                    overflow: hidden;
                    background-color: $primary_color;
                    top: 58px;
                    ul{
                        height: 460px;
                        overflow: auto;
                        li{
                            &:last-child{
                                border: none;
                            }
                            &.menu_dropdown{
                                .sub_menu_drop_uniform{
                                    position: unset;
                                    height: unset;
                                    .sub_menu_item{
                                        .sub_menu{
                                            height: unset;
                                        }
                                    }
                                }
                                a{
                                    padding: 14px;
                                }
                            }
                            .sub_menu_other{
                                position: unset;
                                height: unset;
                            }
                            a{
                                padding: 14px;
                            }
                        }
                    }
                }
                .left{
                    .img_logo{
                        a{
                            img{
                                width: 36px;
                            }
                        }
                    }
                }
                .right{
                    .search{
                        .seracher{
                            .form-control{
                                width: 164px;
                                height: 38px;
                                line-height: 38px;
                            }
                            .icon_wrap{
                                padding-top: 8px;
                                padding-right: 9px;
                                a{
                                    i{
                                        font-size: 16px;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    
}